Package org.apache.felix.http.base.internal.util

# Class MimeTypes

java.lang.Object
org.apache.felix.http.base.internal.util.MimeTypes

public final class MimeTypes extends Object

## Method Summary

Modifier and Type
Method
Description
`static MimeTypes`
`get()`
`String`
`getByExtension(String ext)`
`String`
`getByFile(String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getByFile

public String getByFile(String file)

### getByExtension

public String getByExtension(String ext)

### get

public static MimeTypes get()